Name:		bashish
Version:	2.0.7
Release:	%mkrel 1
Summary:	Theme Environment For Text Terminals
Source:		http://prdownloads.sourceforge.net/bashish/bashish-%{version}.tar.xz
URL:		http://bashish.sourceforge.net/
Group:		Shells
License:	GNU General Public License 2 (GPL2)
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
Requires:	bash
BuildRequires:	autoconf automake libtool bash

%description
Bashish is a theme enviroment for text terminals. It can change colors,
font, transparency, and background image on a per-application basis. 

It has a modular design which makes it easy to add features (and it does 
have a lot) while keeping good performance.

Bashish allows users to switch themes 'on the fly'. Each console
application may have it's own theme which automaticly gets switched to
when the application is started (an alias or function will be created for
each themed application).

Additionally Bashish supports prompt changing on common shells such as
bash, zsh, and tcsh.

%prep
%setup -q

%build
autoreconf -fiv
%configure --with-shell=/bin/bash
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm -rf "%{buildroot}%{_datadir}/doc"

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc THEME README HACKING COPYING ChangeLog CREDITS BUGS TODO
%{_bindir}/bashish
%{_bindir}/bashishtheme
%dir %{_datadir}/bashish
%{_datadir}/bashish/bashish-version
%dir %{_datadir}/bashish/bt
%dir %{_datadir}/bashish/bt/defaults
%{_datadir}/bashish/bt/defaults/*
%dir %{_datadir}/bashish/bt/overrides
%{_datadir}/bashish/bt/overrides/*
%{_datadir}/bashish/lib
%{_datadir}/bashish/main
%dir %{_datadir}/bashish/themes
%dir %{_datadir}/bashish/themes/app
%{_datadir}/bashish/themes/app/*
%dir %{_datadir}/bashish/themes/ascii-art
%{_datadir}/bashish/themes/ascii-art/*
%dir %{_datadir}/bashish/themes/computer
%{_datadir}/bashish/themes/computer/*
%doc %{_mandir}/man1/bashish.1*
%doc %{_mandir}/man1/bashishtheme.1*

%changelog
* Tue Oct 25 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 2.0.7-1_archie_2011
- Packaged for PCLinuxOS x86_64
